build:
  stage: build
  image: '${CI_TEMPLATE_REGISTRY_HOST}/gitlab-org/cluster-integration/auto-build-image:${AUTO_BUILD_IMAGE_VERSION}'
  variables:
    DOCKER_TLS_CERTDIR: ''
  services:
    - name: 'docker:23.0.6-dind'
      command: ['--tls=false', '--host=tcp://0.0.0.0:2375', '--registry-mirror=https://registry.sandbox.infinite-monkey.fr']
  script:
    - docker login -u "$GITHUB_REGISTRY_USER" -p "$GITHUB_REGISTRY_PASSWORD"
    - export CI_APPLICATION_REPOSITORY=fransys/demo-apps-laravel
    - export CI_APPLICATION_TAG=${LARAVEL_VERSION}
    - /build/build.sh
  artifacts:
    reports:
      dotenv: gl-auto-build-variables.env
  tags:
    - docker
  rules:
    - if: '$BUILD_DISABLED'
      when: never
    - if: '$CI_COMMIT_TAG || $CI_COMMIT_BRANCH'
